O Auth Client Get
Read an OAuth client created by the authenticated account. Member-created clients are third-party application identities. They may be public or confidential but are never first-party inherited-permission clients.
Read an OAuth client created by the authenticated account.
Member-created clients are third-party application identities. They may be public or confidential but are never first-party inherited-permission clients.
/auth/oauth/clients/{oauth_client_id}Authorization
browser In: cookie
Path Parameters
OAuth client ID.
xidResponse Body
application/json
application/json
application/json
curl -X GET "https://loading/api/auth/oauth/clients/cc5lnd2s1s4652adtu50"{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"account_id": "cc5lnd2s1s4652adtu50",
"client_id": "string",
"name": "string",
"type": "public",
"scope_policy": "explicit",
"redirect_uris": [
"http://example.com"
],
"allowed_scopes": [
"string"
],
"allowed_grants": [
"string"
]
}{
"error": "string",
"error_description": "string"
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}O Auth Client Delete DELETE
Delete an OAuth client created by the authenticated account. This prevents new OAuth flows for the client and removes associated pending OAuth records and refresh tokens, preventing existing grants from being renewed. Existing JWT access tokens remain valid until expiry.
O Auth Client List GET
List OAuth clients created by the authenticated account. This is the member-facing "apps I created" view. OAuth clients are application definitions: client ID, client type, redirect URIs, allowed scopes, and allowed grants. This does not list built-in first-party clients or third-party apps the member has merely authorised. Use `/auth/oauth/tokens` for the "apps I have authorised" view.